QGIS Application - Bug report #400

Postgres connection doesn't allow certain passwords

2006-11-17 09:50 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -
Category: GUI

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10459

Description

It appears that passwords with spaces in them (and possible quotes) are not accepted by the [[PostgreSQL]] connection dialog. The
password should be escaped(?) and quoted before sending to the [[PostgreSQL]] backend.

History

#1 - 2006-11-18 12:46 PM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in svn commit:dfe84921 (SVN r6114), although | don't have a database that uses passwords to test it out on. In any case, qgis now sends properly

escaped and quoted passwords to the database now.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
